from bpy.types import PropertyGroup
from bpy.props import BoolProperty


class FLUIDLAB_DATA_Material(PropertyGroup):
    
    """ properties material.fluidlab.x """

    # Toggles para el MixColors para todas las properties del principled en collapses:
    principled_main_porps: BoolProperty(default=False)
    principled_subsurface_porps: BoolProperty(default=False)
    principled_specular_porps: BoolProperty(default=False)
    principled_transmission_porps: BoolProperty(default=False)
    principled_coat_porps: BoolProperty(default=False)
    principled_sheen_porps: BoolProperty(default=False)
    principled_emission_porps: BoolProperty(default=False)